## EMBOSS: chaos

# Program chaos

## Function

Create a chaos game representation plot for a sequence

## Description

A box is drawn and an AGCT is drawn at each corner.

Starting from the middle, move half way to the corner of the box representing the first base in the sequence and draw a dot.

Then for each subsequent base move half way to the corresponding box corner and draw a dot.

Finally display the number and percentage values of AGCT bases.

The result is an image of a square sprinkled with dots. Areas which are devoid of dots (or heavily covered with dots) indicate short sequence motifs that are unusually infrequent (or frequent). The sequence of such motifs can be deduced by looking to see which quarter of teh square the region is in - the letter that this quarter belongs to is the first base of the motif. The quarter is then quartered again and the appropriate base letters are assigned to the corners of the quarter - the eigth part that the region is in gives the second base of the motif.

The process continues until you have identified the 1/16th or 1/32nd, etc. of the original square containing the unusual region and you now have the sequence of the motif.

## Usage

Here is a sample session with chaos.

    % chaos embl:eclac
    Create a chaos game representation plot for a sequence
    Graph type [x11]:

click here for result

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-sequence]          sequence   Sequence USA
    *  -graph              graph      Graph type
    *  -outfile            outfile    Output file name

       Optional qualifiers: (none)
       Advanced qualifiers:
       -data               bool       Display as data

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
-outfile | Output file name | Output file | <sequence>.chaos
Optional qualifiers | Allowed values | Default
(none)
Advanced qualifiers | Allowed values | Default
-data | Display as data | Yes/No | No

## Input file format

Any DNA sequence USA.

## Output file format

A graphics image is produced.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

0 upon successful completion.

## Known bugs

None.

## See also

Program name | Description
--- | ---
banana | Bending and curvature plot in B-DNA
btwisted | Calculates the twisting in a B-DNA sequence
compseq | Counts the composition of dimer/trimer/etc words in a sequence
dan | Calculates DNA RNA/DNA melting temperature
freak | Residue/base frequency table or plot
isochore | Plots isochores in large DNA sequences
wordcount | Counts words of a specified size in a DNA sequence

## Author(s)

This application was written by Ian Longden (il@sanger.ac.uk) Informatics Division, The Sanger Centre, Wellcome Trust Genome Campus, Hinxton, Cambridge, CB10 1SA, UK.

## History

     Completed 22nd March 1999.
     Last modified 14th June 1999.

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments